Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

Forge 1.18 problem


PatrykO2
 Share

Recommended Posts

Hello, i have installed latest version of MC Forge and it don't want to start.

It gives me error:

Spoiler

WARNING: Unknown module: cpw.mods.securejarhandler specified to --add-exports
WARNING: Unknown module: cpw.mods.securejarhandler specified to --add-opens
Exception in thread "main" java.lang.module.FindException: Module org.objectweb.asm.commons not found, required by org.openjdk.nashorn
    at java.base/java.lang.module.Resolver.findFail(Resolver.java:893)
    at java.base/java.lang.module.Resolver.resolve(Resolver.java:192)
    at java.base/java.lang.module.Resolver.resolve(Resolver.java:141)
    at java.base/java.lang.module.Configuration.resolveAndBind(Configuration.java:492)
    at java.base/java.lang.module.Configuration.resolveAndBind(Configuration.java:298)
    at cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:83)

somewhere in internet i found information that Forge for MC 1.17.1 don't support Java 17, but from other side Minecraft 1.18 don't support Java 8 (with JDK 17 it worked perfectly) so which version of java should I install to make it work together?

When i trying to run MC with Java 8 it gives me error:

Spoiler

Error:  Could not create the Java Virtual Machine.

Error: A fatel exception has occurred. Program will exit.

 

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.